dns_ip6_packet(3)

NAME
dns_ip6_packet - extract IPv6 address from DNS answer packet

SYNTAX
#include <dns.h> int dns_ip6_packet(stralloc* out,const char* buf,
                   unsigned int len);

DESCRIPTION
dns_ip6_packet is a low-level component of dns_ip6, designed to support asynchronous DNS lookups. It reads a DNS packet of length len from buf, extracts IPv4 and IPv6 addresses from the answer section of the packet, puts the addresses into out, and returns 0 or -1 the same way as dns_ip6.

SEE ALSO
dns_ip6(3), dns_ip4_packet(3)